Eclipse PDE Release 3.7

## org.eclipse.pde.ui
Interface IPluginFieldData

All Superinterfaces:
  IFieldData

    public interface IPluginFieldData

extends IFieldData

In addition to field data from the 'New Project' wizard pages, this interface provides choices made by the user that are unique to creating a new plug-in project.

Since:
  3.0
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

Method Summary
`boolean` `doGenerateClass()` Plug-in class generation selection.
`String` `getClassname()` The class name field.
`boolean` `isUIPlugin()` UI plug-in selection.

Methods inherited from interface org.eclipse.pde.ui.IFieldData
`getId, getLibraryName, getName, getOutputFolderName, getProvider, getSourceFolderName, getVersion, hasBundleStructure, isLegacy, isSimple`

Method Detail

### getClassname

    String getClassname()

  The class name field.

  Returns:
    the name of the plug-in class

### isUIPlugin

    boolean isUIPlugin()

  UI plug-in selection.

  Returns:
    `true` if the plug-in contains UI code and extensions, `false` otherwise.

### doGenerateClass

    boolean doGenerateClass()

  Plug-in class generation selection.

  Returns:
    `true` if the plug-in class is to be generated by the plug-in wizard, `false` otherwise.

Eclipse PDE Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) 2000, 2011 IBM Corporation and others. All rights reserved.